---
api: 'Open Banking API'
---

# Get an application

Retrieve an already registered application.

## Endpoint

GET `/register/{ClientId}`

## Parameters

### path parameters

- `ClientId` (string, required)
  The Client ID of the application.

## Returns

### 200

Application data

#### Response attributes

- `client_id` (string, optional)
    The Client ID used to identify the application.
- `token_endpoint_auth_method` (enum, optional)
    Specifies the authentication method for the `/token` endpoint.
    
    Currently, only `tls_client_auth` is supported.
    Possible enum values:

    - `tls_client_auth`
- `tls_client_auth_dn` (string, optional)
    Distinguished name (DN) of the transport certificate used by the [TPP](/docs/guides/build-banking-apps/glossary).
- `id_token_signed_response_alg` (enum, optional)
    The signing algorithm used to sign the `id_token` JWTs. Currently, only `PS256` is supported.
    Possible enum values:

    - `tls_client_auth`
- `request_object_signing_alg` (enum, optional)
    The signing algorithm used to sign request objects. Currently, only `PS256` is supported.
    Possible enum values:

    - `tls_client_auth`
- `redirect_uris` (array of string, optional)
    List of the registered URIs that the [TPP](/docs/guides/build-banking-apps/glossary) will use to interact with the [ASPSP](/docs/guides/build-banking-apps/glossary).
- `org_jwks_endpoint` (string, optional)
    Public URI endpoint where the [TPP](/docs/guides/build-banking-apps/glossary) has uploaded their JWKS in JSON format.
- `org_name` (string, optional)
    Legal Entity Identifier or other known organisation name.
- `scope` (string, optional)
    List of scopes that the [TPP](/docs/guides/build-banking-apps/glossary) has access to, provided as a **space-separated string**.
    For example, `"openid accounts payments"`.
    Possible scopes to list: `openid`, `accounts`, `payments`, `fundsconfirmation`.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 403 | Access forbidden |
